/*****************************************************************************/
/*                                                                           */
/* Author: Michael C. Nechyba                                                */
/* Last modified: 06/03/2003                                                 */
/*                                                                           */
/* File: "acticast_include.h"                                                */
/*                                                                           */
/*****************************************************************************/

#include <sys/time.h>

#include "diagnostic.h"
#include "file_io.h"
#include "matrix.h"
#include "gen_math.h"
#include "arg.h"
#ifndef SELF_CONTAINED
#include "wave.h"       // slated for extinction
#include "hmm_util.h"   // slated for extinction
#include "codebook.h"   // slated for extinction
#endif
#include "image_struct.h"
#include "ellipse.h"
#include "geometry.h"
#include "histogram.h"
#include "image.h"
#include "raw.h"
#include "mask.h"
#include "median.h"
#ifndef DONT_INCLUDE_X_DISPLAY
#include "xdisplay.h"
#endif
#ifdef CUBE_SEGMENTATION
#include "blob_detect.h"
#endif
#ifdef ROBUST_BLOB_DETECT
#include "blob_detect.h"
#endif

#ifdef OLD_RACE_TRACK_CODE
#include "track_struct.h"
#include "track_tracking.h"
#include "track_modeling.h"
#endif

#ifdef NEW_RACE_TRACK_CODE
#include "track_struct.h"
#include "track_modeling.h"
#endif

#ifdef IVAN_HUMAN_CODE
#include "human_struct.h"
#include "human_global.h"
#include "human_dummy.h"
#include "em.h"
#endif

#ifdef GENERAL_OBJECT_TRACKING_CODE
#include "object.h"
#endif

#ifdef GENERAL_RECORD_CODE
#include "record.h"
#endif

#ifdef COLOR_MODEL_EXTRACT
#include "partition.h"
#include "partition_global.h"
#endif

#ifdef XCALIBRATION_DEFINE
#include <Xm/XmAll.h>
#include "xcalibration.h"
#include "xcalibration_global.h"
#endif
