/*****************************************************************************/
/*                                                                           */
/* Author: Michael C. Nechyba                                                */
/* Last modified: 5/17/2003                                                  */
/*                                                                           */
/* File: "hough.h"                                                           */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/

typedef struct hough_accumulator_struct {
  int theta_partitions;
  int rho_partitions;
  double theta_step, rho_step;
  double theta_min, theta_max;
  double rho_min, rho_max;
  double **accumulator;
} HOUGH_ACCUMULATOR;

/*****************************************************************************/

extern int define_gaussian_filter(FILTER *f, int size);
extern int sobel_operator(PPM *imin, PPM *imout);
extern int hough_transform(PPM *gim, PPM *thim, HOUGH_ACCUMULATOR *hough);
extern int find_line(HOUGH_ACCUMULATOR *hough, 
		     double *slope, double *intercept);

/*****************************************************************************/

extern int plotline(PPM *im, double m, double b, int rv, int gv, int bv);
extern int draw_hough_accumulator(PPM *image, HOUGH_ACCUMULATOR *hough);


