/*****************************************************************************/
/*                                                                           */
/* Author: Michael C. Nechyba                                                */
/* Last modified: 2/25/2001                                                  */
/*                                                                           */
/* File: "raw.h"                                                             */
/*                                                                           */
/*****************************************************************************/

/****************************** Subroutines **********************************/

extern int ppm2raw(PPM *ppm, RAW *raw, int raw_alloc);
extern int raw2ppm(RAW *raw, PPM *ppm);
extern int raw2ppm_small(RAW *raw, PPM *ppm);
extern int write_raw_file(char *file, RAW *raw);
extern int read_raw_file(char *file, RAW *raw, int xdim, int ydim, 
			 int raw_alloc);
extern int difference_raw(RAW *im2, RAW *im1, PPM *imout);
extern int limit_dimensions_raw(RAW *im);
extern int copy_dimensions_raw_to_ppm(RAW *imin, PPM *imout);
extern int copy_dimensions_raw_to_raw(RAW *imin, RAW *imout);
extern int set_dimensions_raw(RAW *im, int xmin, int xmax, int ymin, int ymax);
extern int display_dim_raw(FILE *fp, RAW *im);
extern int filter_raw(RAW *imin, PPM *imout, FILTER *f);
extern int draw_line_raw(char *im, int xmin, int xmax, int ymin, int ymax, 
			 int r, int g, int b);
extern int draw_point_raw(char *im, POINT *p, int r, int g, int b);
extern int draw_big_point_raw(char *im, POINT *p, int r, int g, int b);
extern int draw_region_box_raw(char *im, int r, int g, int b, 
			       BOUNDING_BOX *box);
extern int draw_ellipse_raw(char *im, ELLIPSE *ell, int r, int g, int b);



